import { bodyCanScroll, dashboardState, makeBodyUnscrollabble } from "../DashboardState"

export class GlobalReducerWatcher {
    static getWatchers() {
        return [
            GlobalReducerWatcher.updateBodyScroll
        ]
    }

    static updateBodyScroll() 
    {
        if (bodyCanScroll()) {
            setTimeout(makeBodyUnscrollabble, 100)
        }
    } 
}